#! /usr/bin/python

# This program generates random coefficients
# that are later Frequency filtered and Fourier Transformed.
# The seed is specified by the second argument.

N     = 128
import sys
import os
import math, random

OUTFILE      = 'initial.dat'
central_val  = float(sys.argv[1])
width        = float(sys.argv[2])

#xos.system('make veryclean')

#random.seed(r_seed)
f  = open(OUTFILE , 'w')
for a in range(N) :
    for b in range(N) :
        expn = math.pow((a - central_val)/(N*width), 2) + math.pow((b - central_val)/(N*width), 2)
        f.write(str(a)+' '+str(b)+" %1.6f" % math.exp(-expn) +" 0\n")
        continue
    continue
f.close()

#os.system('make Freq_Filter_FFT_2D.srk')
#os.system('./Freq_Filter_FFT_2D.srk '
#          + OUTFILE + ' '+ FFTFILE +' '
#          + central_freq + ' ' + decay_pow)
#os.system('./Fourier_Surface_Plot.py '+  FFTFILE +' 1 ' +PNGFILE)
